Skip to content
Open app

blobs.get

GET /api/v1/boards/{id}/blobs/{sha256}. An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.pull permission on the board.

CLI 0.4.0 · MCP · API v1View as Markdown
GET /docs/reference/api/operations/blobsget.mdtext/markdown
GET
/api/v1/boards/{id}/blobs/{sha256}
Code sample: Shell / cURL
curl --request GET \
--url https://app.intraface.cc/api/v1/boards/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/blobs/example \
--header 'Authorization: Bearer <token>'

An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.pull permission on the board.

id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
sha256
required
string
/^[a-f0-9]{64}$/

Success.

Media typeapplication/octet-stream

Raw bytes (application/octet-stream)

string format: binary

Any error: see error.code.

Media typeapplication/json
object
error
required
object
code
required

A stable error code: see the error codes table in the API overview.

string
message
required
string
hint
string
details

Example generated

{
"error": {
"code": "example",
"message": "example",
"hint": "example",
"details": "example"
}
}